Python Upgrade 2.4.3 to 2.7.1 in CentOS

CentOS 5.3, 5.4를 쓰다보면 Python 버전 때문에 고민을 할 때가 생깁니다.

기본적으로 제공하는 버전은 2.4.3 그렇기 때문에, 최근의 뭔가를 깔아보려면 Python 의 업그레이드가

필요합니다. 그런데, 이 때 잘못 깔아버리면, yum을 사용하지 못하는 오류가!!!

이런 문제가 생기지 않게 쉽게 해결하는 방법은

1. Python Source 를 받는다. python.org

2. 해당 소스를 빌드한다.

3. path 만 수정해서 새로 설치된 2.7.1 의 python 이 앞으로 오도록 설정한다.

단순히 위의 작업으로 우리는 Yum 과 Python 업그레이드를 동시에 짊어질 수 있습니다. ^^